﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Telerik.Windows.Controls;

namespace _314398_TreeViewExample
{
	public class DataItem : ViewModelBase
	{
		public DataItem()
		{
			this.Children = new ObservableCollection<DataItem>();
		}

		private bool isLoadOnDemandEnabled;
		public bool IsLoadOnDemandEnabled
		{
			get
			{
				return this.isLoadOnDemandEnabled;
			}
			set
			{
				if (this.isLoadOnDemandEnabled != value)
				{
					this.isLoadOnDemandEnabled = value;
					OnPropertyChanged("IsLoadOnDemandEnabled");
				}
			}
		}

		private bool isLoadingOnDemand;
		public bool IsLoadingOnDemand
		{
			get
			{
				return this.isLoadingOnDemand;
			}
			set
			{
				if (this.isLoadingOnDemand != value)
				{
					this.isLoadingOnDemand = value;
					OnPropertyChanged("IsLoadingOnDemand");
				}
			}
		}

		private string header;
		public string Header
		{
			get
			{
				return this.header;
			}
			set
			{
				if (this.header != value)
				{
					this.header = value;
					OnPropertyChanged("Header");
				}
			}
		}

		public ObservableCollection<DataItem> Children { get; set; }

	
	}
}
